Bug 316688 - Invite to chat shows contacts from all channels
Summary: Invite to chat shows contacts from all channels
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: text-ui (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: 0.6.0
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-13 21:22 UTC by David Edmundson
Modified: 2013-03-14 10:34 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2013-03-13 21:22:34 UTC
Invite to chat shows contacts from all channels not just the relevant one.

This is my fault, from the models port. 

To see this to be broken you must have the chat window open with two different accounts in chat.
Fix requires a new filter in ContactsFilterModel  then to set this in InviteContactDialog
Comment 1 David Edmundson 2013-03-14 00:40:23 UTC
Git commit 047c884ff8ecfd9b74b312a3c7702bbea2144c45 by David Edmundson.
Committed on 14/03/2013 at 01:34.
Pushed by davidedmundson into branch 'master'.

Only show contacts from the same account in the invite contacts dialog

M  +1    -0    app/invite-contact-dialog.cpp

http://commits.kde.org/telepathy-text-ui/047c884ff8ecfd9b74b312a3c7702bbea2144c45
Comment 2 Daniele E. Domenichelli 2013-03-14 10:34:09 UTC
Git commit c72ed042cce7eddaad88af6eaba07e21a03cedfb by Daniele E. Domenichelli, on behalf of David Edmundson.
Committed on 14/03/2013 at 11:28.
Pushed by ddomenichelli into branch 'master'.

Add a method to filter contacts that are only from a specific account.

Use case: Text-ui has a dialog to invite contacts to chat, I only want
to show people from the same account.

Reviewed-by: Aleix Pol Gonzalez <aleixpol@gmail.com>
Reviewed-by: Andrea Scarpino <andrea@archlinux.org>
REVIEW: 109472

M  +28   -0    KTp/Models/contacts-filter-model.cpp
M  +13   -0    KTp/Models/contacts-filter-model.h

http://commits.kde.org/telepathy-common-internals/c72ed042cce7eddaad88af6eaba07e21a03cedfb